Subject: Re: Improving git branch

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Dec 2014 12:53:49 -0800

Michael J Gruber <[email-masked]> writes:

> Rather than extending "git branch" any further[*], I suggest a bolder
> strategy:
>
> - unify/merge for-each-ref and pretty formats (and code) as far as possible
> - leverage that for the list modes of branch and tag
>
> That would allow everyone to get their favourite listing, just like for
> logs. Otherwise it would be very difficult to agree on *the* proper
> format for an extended branch or tag list.
>
> Michael
>
>
> [*] I know I'm a sinner, too.

Actually this is not a "bolder" strategy, but the unification has
been discussed and agreed to be the longer-term direction for quite
a while, I think.  Didn't Peff have this in his "things to do when
absolutely bored" box?